
/**
 * Solution of class ArrayCalculator
 * 
 * @author GrayKnight 
 * @version 11/5/12
 */
public class ArrayCalculator
{
    private int[] myArray;
    
   /**
     * Constructor for objects of class ArrayCalculator
     *  
     * @param  array   saved as an instance array of integers
     */
    public ArrayCalculator(int[] array)
    {
        myArray = array;
    }
    
   /**
     * Returns the standard deviation of the elements in the instance array
     * 
     * @return     the mean of the values in myArray as a double 
     */
    public double meanFinder()
    {
        int sum = 0;
        for(int x = 0; x < myArray.length; x++)
        {
            sum += myArray[x];
        }
        double mean = (double)sum/myArray.length;
        return mean;
    }
    
   /**
     * Returns the standard deviation of the elements in the instance array
     * 
     * @return     the population standard deviation of the values in myArray as a double 
     */
    public double stdDevFinder()
    {
        double sum = 0;
        double mean = this.meanFinder();
        for(int x = 0; x < myArray.length; x++)
        {
            sum += Math.pow(myArray[x] - mean, 2);
        }
        double stddev = Math.sqrt(sum/myArray.length);
        return stddev;
    }
    
   /**
     * Returns the highest value of the elements in the instance array
     * 
     * @return     the highest value in the array as an integer
     */
    public int highFinder()
    {
        int high = myArray[0];
        for(int z = 1; z < myArray.length; z++)
        {
            if(myArray[z] > high) high = myArray[z];
        }
        return high;
    }
    
   /**
     * Returns the lowest value of the elements in the instance array
     * 
     * @return     the lowest value in the array as an integer
     */
    public int lowFinder()
    {
        int low = myArray[0];
        for(int z = 1; z < myArray.length; z++)
        {
            if(myArray[z] < low) low = myArray[z];
        }
        return low;
    }
    
   /**
     * Returns the contents of the instance array in columns of 5
     * 
     * @return     the instance array contents as a String in columns of 5
     */
    public String toString()
    {
        String outStr = "";
        for(int z = 0; z < myArray.length; z++)
        {
            outStr += myArray[z] + ",\t";
            if((z + 1) % 5 == 0) outStr +=  "\n";
        }
        return outStr + "\n";
    }
    
}
